Inicio / Alerta Temprana / Vulnerabilidades / CVE-2021-21264

Vulnerabilidad en usuario de back-end con los permisos "cms.manage_pages", "cms.manage_layouts" o "cms.manage_partials" en October en Laravel PHP Framework (CVE-2021-21264)

Tipo: 
No disponible / Otro tipo
Gravedad: 
Sin asignar
Fecha publicación : 
03/05/2021
Última modificación: 
03/05/2021
Descripción
October es una plataforma CMS gratuita, de código abierto y autohosteada basada en Laravel PHP Framework. Se detectó una omisión de CVE-2020-26231 (corregido en las versiones 1.0.470/471 y 1.1.1) que tiene el mismo impacto que CVE-2020-26231 y CVE-2020-15247. Un usuario de back-end autenticado con los permisos "cms.manage_pages", "cms.manage_layouts" o "cms.manage_partials" que **normalmente** no podría proporcionar código PHP para ser ejecutado por el CMS debido a "cms.enableSafeMode" que está habilitado es capaz de escribir código Twig específico para escapar del sandbox Twig y ejecutar PHP arbitrario. Esto no es un problema para cualquiera que confíe a sus usuarios con esos permisos para escribir y administrar PHP normalmente dentro del CMS al no tener habilitado "cms.enableSafeMode", pero sería un problema para cualquiera que confíe en "cms.enableSafeMode" para asegurarse de que los usuarios con esos permisos en producción no tienen acceso para escribir y ejecutar PHP arbitrario. El problema se corrigió en la compilación 472 (v1.0.472) y v1.1.2. Como solución alternativa, aplique https://github.com/octobercms/october/commit/f63519ff1e8d375df30deba63156a2fc97aa9ee7 a su instalación manualmente si no puede actualizar a la compilación 472 o v1.1.2.
Impacto
Vector de acceso: No disponible
Complejidad de Acceso: No disponible
Autenticación: No disponible
Tipo de impacto: No disponible
Referencias a soluciones, herramientas e información
Explicación de los campos